package new_mobile_api_controllers

import (
	"XT_New/controllers/mobile_api_controllers"
	"XT_New/enums"
	"XT_New/service"
	"XT_New/utils"
	"fmt"
	"time"
)

type NewCommonApiController struct {
	mobile_api_controllers.MobileBaseAPIAuthController
}

func (this *NewCommonApiController) GetTotalDialysis() {
	timeLayout := "2006-01-02"
	loc, _ := time.LoadLocation("Local")
	startime := this.GetString("startime")
	fmt.Println("开始时间", startime)
	endtime := this.GetString("endtime")
	fmt.Println("结束时间", endtime)
	startTimes, _ := time.ParseInLocation(timeLayout+" 15:04:05", startime+" 00:00:00", loc)
	startimes := startTimes.Unix()
	fmt.Println("startime", startimes)
	endtimes, _ := time.ParseInLocation(timeLayout+" 15:04:05", endtime+" 00:00:00", loc)
	endtimeData := endtimes.Unix()
	fmt.Println("结束日期", endtimeData)
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	fmt.Println("机构ID", orgid)
	//统计透析总量
	_, total, _ := service.GetDialysiTotal(startimes, endtimeData, orgid)

	modeType, err := service.GetDialysisCountMode(startimes, endtimeData, orgid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"total":    total,
		"modetype": modeType,
	})
}

func (this *NewCommonApiController) GetMobileTotalLapseCount() {
	startime, _ := this.GetInt64("startime")
	fmt.Println("startime", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("endtime", endtime)
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	//统计转出的病人
	patient, err := service.GetTotalRollOutPatients(orgid, startime, endtime)
	patienttwo, err := service.GetTotalRollOutPatientsTwo(orgid, startime, endtime)
	count := service.GetPatientTotalCount(orgid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"patient":    patient,
		"count":      count,
		"patienttwo": patienttwo,
	})
}

func (this *NewCommonApiController) GetMobileTotalSexCount() {
	startime, _ := this.GetInt64("startime")
	fmt.Println("startime", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("endtime", endtime)
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	total := service.GetPatientTotalCount(orgid)
	_, totalSex, err := service.GetManPatientTotal(orgid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"total":    total,
		"totalSex": totalSex,
	})
}

func (this *NewCommonApiController) GetMobileTotalInfectiousCout() {
	startime, _ := this.GetInt64("startime")
	//	fmt.Println("startime", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("endtime", endtime)
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	//统计透析总人数
	total := service.GetPatientTotalCount(orgid)
	//统计透析人数传染病所占比例
	count, err := service.GetPatientInfectiousCount(orgid, startime, endtime)
	//统计其他
	_, otherTotal, err := service.GetPatientOtherInfectious(orgid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"total":      total,
		"count":      count,
		"otherTotal": otherTotal,
	})
}

func (this *NewCommonApiController) GetMobileTotalAgeCount() {
	startime, _ := this.GetInt64("startime")
	fmt.Println("开始时间", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("结束时间", endtime)
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	total := service.GetPatientTotalCount(orgid)
	agecount, err := service.GetTotalAgeCount(orgid)
	//two, err := service.GetTotalAgeCountTwo(orgid, startime, endtime)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"total":    total,
		"ageCount": agecount,
	})
}

func (this *NewCommonApiController) GetMobileTotalDialysisCount() {
	startime, _ := this.GetInt64("startime")
	fmt.Println("开始时间", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("结束时间", endtime)
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	recordDateStr := time.Now().Format("2006-01-02")
	recordDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", recordDateStr)
	fmt.Println(parseDateErr)
	nowtime := recordDate.Unix()
	//统计透析总人数
	total := service.GetPatientTotalCount(orgid)
	fmt.Println("total", total)
	//获取该机构下的所有病人数据
	ageData, err := service.GetDialysisAgeData(orgid)

	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"total":   total,
		"ageData": ageData,
		"nowtime": nowtime,
	})
}

func (this *NewCommonApiController) GetMobilePatientList() {
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	patients, err := service.GetCurentOrgPatients(orgid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"patients": patients,
	})
}

func (this *NewCommonApiController) GetPrescriptionlist() {

	startime := this.GetString("startime")
	fmt.Println("startime", startime)
	endtime := this.GetString("endtime")
	fmt.Println("enditme", endtime)

	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	//endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	//
	//entime := endDate.Unix()
	endtimeStr := endtime + " 23:59:59"
	endtimeStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", endtimeStr)
	entime := endtimeStrs.Unix()
	fmt.Println("开始时间", statime)
	page, _ := this.GetInt64("page")
	fmt.Println("page", page)
	limit, _ := this.GetInt64("limit")
	fmt.Println("limit", limit)
	adminInfo := this.GetMobileAdminUserInfo()
	orgId := adminInfo.Org.Id
	count, _ := service.TotalDialysisCount(statime, entime, orgId)
	prescriptionList, _ := service.GetAllDialysisList(statime, entime, orgId)
	list, totallist, err := service.GetDialysisPatientList(statime, entime, page, limit, orgId)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"list":             list,
		"totallist":        totallist,
		"prescriptionList": prescriptionList,
		"count":            count,
	})
}

func (this *NewCommonApiController) GetMobilePatientDetail() {
	adminUser := this.GetMobileAdminUserInfo()
	orgId := adminUser.Org.Id
	id, _ := this.GetInt64("id")
	fmt.Println("id", id)
	startime := this.GetString("startime")
	fmt.Println(startime)
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)

	entime := endDate.Unix()
	fmt.Println("开始时间", statime)
	fmt.Println(endtime)
	limit, _ := this.GetInt64("limit")
	fmt.Println("limit", limit)
	page, _ := this.GetInt64("page")
	fmt.Println("page", page)
	patients, total, err := service.GetDialysisDetailById(id, orgId, statime, entime, limit, page)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"patients": patients,
		"total":    total,
	})
}

func (this *NewCommonApiController) ToSearchPatient() {
	adminUser := this.GetMobileAdminUserInfo()
	orgId := adminUser.Org.Id
	//keyword := this.GetString("keyword")
	patientid, _ := this.GetInt64("patientid")
	startime := this.GetString("startime")
	fmt.Println(startime)
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)

	entime := endDate.Unix()
	fmt.Println("开始时间", statime)
	fmt.Println(endtime)
	limit, _ := this.GetInt64("limit")
	fmt.Println("limit", limit)
	page, _ := this.GetInt64("page")
	fmt.Println("page", page)
	patient, total, err := service.GetPrescritionByName(orgId, patientid, statime, entime, limit, page)
	fmt.Println("报错==========", err)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"patient": patient,
		"total":   total,
	})
}

func (this *NewCommonApiController) GetAllPatientsMode() {
	adminUser := this.GetMobileAdminUserInfo()
	orgId := adminUser.Org.Id
	startime := this.GetString("startime")
	fmt.Println(startime)
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	entime := endDate.Unix()
	fmt.Println("结束日期", entime)
	value, _ := this.GetInt64("value")
	fmt.Println("value", value)
	limit, _ := this.GetInt64("limit")
	fmt.Println("limit", limit)
	page, _ := this.GetInt64("page")
	fmt.Println("page", page)
	modeId, _ := this.GetInt64("mode_id")
	fmt.Println("modeId", modeId)
	treatinfo, total, err := service.GetTreateInfo(orgId, statime, entime, value, limit, page)
	statistics, ttd, err := service.GetStatistics(orgId, statime, entime, modeId)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"statistics": statistics,
		"ttd":        ttd,
		"total":      total,
		"treatinfo":  treatinfo,
	})
}

func (this *NewCommonApiController) GetMobileInspectionList() {
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	startime := this.GetString("startime")
	fmt.Println(startime)
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	//endtimeStr := endtime + " 23:59:59"
	//endtimeStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", endtimeStr)
	//entime := endtimeStrs.Unix()
	secondQuarterEndStr := endtime + " 23:59:59"
	secondQuarterEnds, parseDateErr := utils.ParseTimeStringToTime("2006-01-02 15:04:05", secondQuarterEndStr)
	entime := secondQuarterEnds.Unix()
	fmt.Println("结束日期==========", entime)
	patientid, _ := this.GetInt64("patientid")
	references, err := service.GetInspectionTotalCount(orgid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	counts, err := service.GetInspectionProjectCount(orgid, statime, entime, patientid)

	this.ServeSuccessJSON(map[string]interface{}{
		"Inspection": references,
		"counts":     counts,
	})
}

func (this *NewCommonApiController) GetPatientInspectionDetail() {
	adminUser := this.GetMobileAdminUserInfo()
	orgId := adminUser.Org.Id
	id, _ := this.GetInt64("id")
	fmt.Println("id", id)
	startime := this.GetString("startime")
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	//endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	//entime := endDate.Unix()
	//fmt.Println("结束日期", entime)
	secondQuarterEndStr := endtime + " 23:59:59"
	secondQuarterEnds, parseDateErr := utils.ParseTimeStringToTime("2006-01-02 15:04:05", secondQuarterEndStr)
	entime := secondQuarterEnds.Unix()
	patientdetail, err := service.GetInspectionDetailById(id, orgId, statime, entime)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"patientdetail": patientdetail,
	})
}

func (this *NewCommonApiController) GetSeachPatientDetail() {
	adminUser := this.GetMobileAdminUserInfo()
	orgId := adminUser.Org.Id
	//keyword := this.GetString("keyword")
	//fmt.Println("keyword", keyword)
	patientid, _ := this.GetInt64("patientid")
	startime := this.GetString("startime")
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	//endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	//entime := endDate.Unix()
	//fmt.Println("结束日期", entime)
	secondQuarterEndStr := endtime + " 23:59:59"
	secondQuarterEnds, parseDateErr := utils.ParseTimeStringToTime("2006-01-02 15:04:05", secondQuarterEndStr)
	entime := secondQuarterEnds.Unix()
	PatientsInfo, err := service.GetSearchPatientInfo(orgId, patientid, statime, entime)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"PatientsInfo": PatientsInfo,
	})
}

func (this *NewCommonApiController) GetMobileNormdata() {

	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	//获取系统数据
	normdata, err := service.GetNormDataByOrgId(orgid)
	if len(normdata) == 0 {
		normdata, err := service.GetNormData(0)
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}
		this.ServeSuccessJSON(map[string]interface{}{
			"normdata": normdata,
		})
	}
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"normdata": normdata,
	})
}

func (this *NewCommonApiController) GetMobileProjectlsit() {

	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	fmt.Println("orgid", orgid)
	lapseto, _ := this.GetInt64("lapseto")
	fmt.Println("专柜", lapseto)
	itemtype, _ := this.GetInt64("itemtype")
	fmt.Println("itemtype", itemtype)
	modetype, _ := this.GetInt64("modeltype")
	fmt.Println(modetype)

	firstQuarterStart := this.GetString("first_quarter_start")
	firstQuarterStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", firstQuarterStart)
	firstQuarterStartUnix := firstQuarterStartStr.Unix()
	fmt.Println("第一季度开始时间", firstQuarterStartUnix)
	fisrtQuarterEnd := this.GetString("first_qurter_end")
	fisrtQuarterEndStr := fisrtQuarterEnd + " 23:59:59"
	fisrtQuarterEnds, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", fisrtQuarterEndStr)
	fisrtQuarterEndStrUnix := fisrtQuarterEnds.Unix()
	fmt.Println("第一季度结束时间", fisrtQuarterEndStrUnix)

	secondeQuarterStart := this.GetString("second_qurter_start")
	secondeQuarterStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", secondeQuarterStart)
	secondeQuarterStartUnix := secondeQuarterStartStr.Unix()
	fmt.Println("第二季度开始时间", secondeQuarterStartUnix)
	secondQuarterEnd := this.GetString("second_qurter_end")
	secondQuarterEndStr := secondQuarterEnd + " 23:59:59"
	secondQuarterEnds, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", secondQuarterEndStr)
	secondQuarterEndStrUnix := secondQuarterEnds.Unix()
	fmt.Println("第二季度结束时间", secondQuarterEndStrUnix)

	threeQuarterStart := this.GetString("three_qurter_start")
	threeQuarterStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", threeQuarterStart)
	threeQuarterStartUnix := threeQuarterStartStr.Unix()
	fmt.Println("第三季度开始时间", threeQuarterStartUnix)
	threeQuarterEnd := this.GetString("three_qurter_end")
	threeQuarterEndStr := threeQuarterEnd + " 23:59:59"
	threeQuarterEnds, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", threeQuarterEndStr)
	threeQuarterEndStrUnix := threeQuarterEnds.Unix()
	fmt.Println("第三季度结束时间", threeQuarterEndStrUnix)

	fourQuarterStart := this.GetString("four_qurter_start")
	fourQuarterStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", fourQuarterStart)
	fourQuarterStartUnix := fourQuarterStartStr.Unix()
	fmt.Println("第四季度开始时间", fourQuarterStartUnix)
	fourQuarterEnd := this.GetString("four_qurter_end")
	fourQuarterEndStr := fourQuarterEnd + " 23:59:59"
	fourQuarterEnds, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", fourQuarterEndStr)
	fourQuarterEndStrUnix := fourQuarterEnds.Unix()
	//fmt.Println("第四季度结束时间", fourQuarterEndStrUnix)
	rangetype, _ := this.GetInt64("range_type")
	//按季度统计
	if rangetype == 1 {
		//统计总共
		list, err := service.GetProjectList(orgid, lapseto, modetype, firstQuarterStartUnix, fourQuarterEndStrUnix, firstQuarterStartUnix, fisrtQuarterEndStrUnix, secondeQuarterStartUnix, secondQuarterEndStrUnix, threeQuarterStartUnix, threeQuarterEndStrUnix, fourQuarterStartUnix, fourQuarterEndStrUnix)
		//统计达标个数
		standList, err := service.GetProjectStandList(orgid, lapseto, modetype, firstQuarterStartUnix, fourQuarterEndStrUnix, firstQuarterStartUnix, fisrtQuarterEndStrUnix, secondeQuarterStartUnix, secondQuarterEndStrUnix, threeQuarterStartUnix, threeQuarterEndStrUnix, fourQuarterStartUnix, fourQuarterEndStrUnix)
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}

		this.ServeSuccessJSON(map[string]interface{}{
			"list":      list,
			"standList": standList,
		})
	}

	if rangetype == 2 {
		list, err := service.GetProjectListOne(orgid, lapseto, modetype, firstQuarterStartUnix, fourQuarterEndStrUnix, firstQuarterStartUnix, fisrtQuarterEndStrUnix, secondeQuarterStartUnix, secondQuarterEndStrUnix, threeQuarterStartUnix, threeQuarterEndStrUnix, fourQuarterStartUnix, fourQuarterEndStrUnix)
		//统计达标个数
		standList, err := service.GetProjectStandListOne(orgid, lapseto, modetype, firstQuarterStartUnix, fourQuarterEndStrUnix, firstQuarterStartUnix, fisrtQuarterEndStrUnix, secondeQuarterStartUnix, secondQuarterEndStrUnix, threeQuarterStartUnix, threeQuarterEndStrUnix, fourQuarterStartUnix, fourQuarterEndStrUnix)
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}

		this.ServeSuccessJSON(map[string]interface{}{
			"list":      list,
			"standList": standList,
		})
	}
}

func (this *NewCommonApiController) GetMobileFirstQuarter() {

	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	lapseto, _ := this.GetInt64("lapseto")
	fmt.Println("转归", lapseto)
	startime := this.GetString("startime")
	fmt.Println("startime", startime)
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	//fmt.Println("开始时间", statime)
	endtime := this.GetString("endtime")
	fmt.Println("endtime", endtime)
	endTimeYMDHmsStr := endtime + " 23:59:59"
	endDate, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", endTimeYMDHmsStr)
	entime := endDate.Unix()
	fmt.Println("结束日期", entime)
	count, err := service.GetQuarterTotalCount(orgid, statime, entime, lapseto)
	countwo, _ := service.GetQuarterTotalCountTwo(orgid, statime, entime, lapseto)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"count":   count,
		"countwo": countwo,
	})
}

func (this *NewCommonApiController) GetMobileMonthProjectList() {
	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	lapseto, _ := this.GetInt64("lapseto")
	fmt.Println("lapseto", lapseto)
	itemtype, _ := this.GetInt64("itemtype")
	fmt.Println("itemtype", itemtype)
	modetype, _ := this.GetInt64("modeltype")
	fmt.Println("modetype", modetype)
	januaryStart := this.GetString("januaryStart")
	fmt.Println("一月始", januaryStart)
	januaryStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", januaryStart)
	januaryStartStrUnix := januaryStartStr.Unix()
	fmt.Println("一月使", januaryStartStrUnix)
	januaryEnd := this.GetString("januaryEnd")
	fmt.Println("一月末", januaryEnd)
	januaryEndStr := januaryEnd + " 23:59:59"
	januaryEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", januaryEndStr)
	januaryEndStrUnix := januaryEndStrs.Unix()
	fmt.Println("一月末", januaryEndStrUnix)

	febStart := this.GetString("febStart")
	fmt.Println("二月始", febStart)
	febStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", febStart)
	febStartStrStrUnix := febStartStr.Unix()
	fmt.Println("二月使", febStartStrStrUnix)
	febEnd := this.GetString("febEnd")
	fmt.Println("二月末", febEnd)
	febEndStr := febEnd + " 23:59:59"
	febEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", febEndStr)
	febEndStrUnix := febEndStrs.Unix()
	fmt.Println("二月末", febEndStrUnix)

	marchStart := this.GetString("marchStart")
	fmt.Println("三月始", marchStart)
	marchStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", marchStart)
	marchStartStrUnix := marchStartStr.Unix()
	fmt.Println("三月使", marchStartStrUnix)
	marchEnd := this.GetString("marchEnd")
	fmt.Println("三月末", febEnd)
	marchEndStr := marchEnd + " 23:59:59"
	marchEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", marchEndStr)
	marchEndStrUnix := marchEndStrs.Unix()
	fmt.Println("三月末", marchEndStrUnix)

	aprStart := this.GetString("aprStart")
	fmt.Println("四月始", aprStart)
	aprStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", aprStart)
	aprStartStrUnix := aprStartStr.Unix()
	fmt.Println("四月使", aprStartStrUnix)
	aprEnd := this.GetString("aprEnd")
	fmt.Println("四月末", aprEnd)
	aprEndStr := aprEnd + " 23:59:59"
	aprEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", aprEndStr)
	aprEndStrsUnix := aprEndStrs.Unix()
	fmt.Println("四月末", aprEndStrsUnix)

	mayStart := this.GetString("mayStart")
	fmt.Println("五月始", mayStart)
	mayStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", mayStart)
	mayStartStrUnix := mayStartStr.Unix()
	fmt.Println("五月使", mayStartStrUnix)
	mayEnd := this.GetString("mayEnd")
	fmt.Println("五月末", mayEnd)
	mayEndStr := mayEnd + " 23:59:59"
	mayEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", mayEndStr)
	mayEndStrsUnix := mayEndStrs.Unix()
	fmt.Println("五月末", mayEndStrsUnix)

	junStart := this.GetString("junStart")
	fmt.Println("六月始", mayStart)
	junStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", junStart)
	junStartStrUnix := junStartStr.Unix()
	fmt.Println("六月使", junStartStrUnix)
	junEnd := this.GetString("junEnd")
	fmt.Println("六月末", junEnd)
	junEndStr := junEnd + " 23:59:59"
	junEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", junEndStr)
	junEndStrsUnix := junEndStrs.Unix()
	fmt.Println("六月末", junEndStrsUnix)

	julStart := this.GetString("julStart")
	fmt.Println("七月始", julStart)
	julStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", julStart)
	julStartStrUnix := julStartStr.Unix()
	fmt.Println("七月使", julStartStrUnix)
	julEnd := this.GetString("julEnd")
	fmt.Println("七月末", julEnd)
	julEndStr := julEnd + " 23:59:59"
	julEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", julEndStr)
	julEndStrsUnix := julEndStrs.Unix()
	fmt.Println("七月末", julEndStrsUnix)

	augStart := this.GetString("augStart")
	fmt.Println("八月始", augStart)
	augStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", augStart)
	augStartStrUnix := augStartStr.Unix()
	fmt.Println("八月使", augStartStrUnix)
	augEnd := this.GetString("augEnd")
	fmt.Println("八月末", augEnd)
	augEndStr := augEnd + " 23:59:59"
	augEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", augEndStr)
	augEndStrsUnix := augEndStrs.Unix()
	fmt.Println("八月末", augEndStrsUnix)

	sepStart := this.GetString("sepStart")
	fmt.Println("九月始", sepStart)
	sepStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", sepStart)
	sepStartStrUnix := sepStartStr.Unix()
	fmt.Println("九月使", sepStartStrUnix)
	sepEnd := this.GetString("sepEnd")
	fmt.Println("九月末", sepEnd)
	sepEndStr := sepEnd + " 23:59:59"
	sepEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", sepEndStr)
	sepEndStrsUnix := sepEndStrs.Unix()
	fmt.Println("九月末", sepEndStrsUnix)

	octStart := this.GetString("octStart")
	fmt.Println("10月始", octStart)
	octStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", octStart)
	octStartStrUnix := octStartStr.Unix()
	fmt.Println("10月使", octStartStrUnix)
	octEnd := this.GetString("octEnd")
	fmt.Println("10月末", octEnd)
	octEndStr := octEnd + " 23:59:59"
	octEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", octEndStr)
	octEndStrsUnix := octEndStrs.Unix()
	fmt.Println("10月末", octEndStrsUnix)

	novStart := this.GetString("novStart")
	fmt.Println("11月始", novStart)
	novStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", novStart)
	novStartStrUnix := novStartStr.Unix()
	fmt.Println("11月使", novStartStrUnix)
	novEnd := this.GetString("novEnd")
	fmt.Println("11月末", novEnd)
	novEndStr := novEnd + " 23:59:59"
	novEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", novEndStr)
	novEndStrsUnix := novEndStrs.Unix()
	fmt.Println("10月末", novEndStrsUnix)

	decStart := this.GetString("decStart")
	fmt.Println("12月始", novStart)
	decStartStr, _ := utils.ParseTimeStringToTime("2006-01-02", decStart)
	decStartStrUnix := decStartStr.Unix()
	fmt.Println("12月使", decStartStrUnix)
	decEnd := this.GetString("decEnd")
	fmt.Println("12月末", novEnd)
	decEndStr := decEnd + " 23:59:59"
	decEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", decEndStr)
	decEndStrsUnix := decEndStrs.Unix()
	fmt.Println("12月末", decEndStrsUnix)
	range_type, _ := this.GetInt64("range_type")
	if range_type == 1 {
		//统计总共
		monthlist, err := service.GetMonthProjectList(orgid, lapseto, modetype, januaryStartStrUnix, januaryEndStrUnix, febStartStrStrUnix, febEndStrUnix, marchStartStrUnix, marchEndStrUnix, aprStartStrUnix, aprEndStrsUnix, mayStartStrUnix, mayEndStrsUnix, junStartStrUnix, junEndStrsUnix, julStartStrUnix, julEndStrsUnix, augStartStrUnix, augEndStrsUnix, sepStartStrUnix, sepEndStrsUnix, octStartStrUnix, octEndStrsUnix, novStartStrUnix, novEndStrsUnix, decStartStrUnix, decEndStrsUnix)
		//统计不合格
		monthNolist, err := service.GetMonthProjectListTwo(orgid, lapseto, modetype, januaryStartStrUnix, januaryEndStrUnix, febStartStrStrUnix, febEndStrUnix, marchStartStrUnix, marchEndStrUnix, aprStartStrUnix, aprEndStrsUnix, mayStartStrUnix, mayEndStrsUnix, junStartStrUnix, junEndStrsUnix, julStartStrUnix, julEndStrsUnix, augStartStrUnix, augEndStrsUnix, sepStartStrUnix, sepEndStrsUnix, octStartStrUnix, octEndStrsUnix, novStartStrUnix, novEndStrsUnix, decStartStrUnix, decEndStrsUnix)
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}

		this.ServeSuccessJSON(map[string]interface{}{
			"monthlist":   monthlist,
			"monthNolist": monthNolist,
		})
	}
	if range_type == 2 {
		//统计总共
		monthlist, err := service.GetMonthProjectList(orgid, lapseto, modetype, januaryStartStrUnix, januaryEndStrUnix, febStartStrStrUnix, febEndStrUnix, marchStartStrUnix, marchEndStrUnix, aprStartStrUnix, aprEndStrsUnix, mayStartStrUnix, mayEndStrsUnix, junStartStrUnix, junEndStrsUnix, julStartStrUnix, julEndStrsUnix, augStartStrUnix, augEndStrsUnix, sepStartStrUnix, sepEndStrsUnix, octStartStrUnix, octEndStrsUnix, novStartStrUnix, novEndStrsUnix, decStartStrUnix, decEndStrsUnix)
		//统计不合格
		monthNolist, err := service.GetMonthProjectListThree(orgid, lapseto, modetype, januaryStartStrUnix, januaryEndStrUnix, febStartStrStrUnix, febEndStrUnix, marchStartStrUnix, marchEndStrUnix, aprStartStrUnix, aprEndStrsUnix, mayStartStrUnix, mayEndStrsUnix, junStartStrUnix, junEndStrsUnix, julStartStrUnix, julEndStrsUnix, augStartStrUnix, augEndStrsUnix, sepStartStrUnix, sepEndStrsUnix, octStartStrUnix, octEndStrsUnix, novStartStrUnix, novEndStrsUnix, decStartStrUnix, decEndStrsUnix)
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}

		this.ServeSuccessJSON(map[string]interface{}{
			"monthlist":   monthlist,
			"monthNolist": monthNolist,
		})
	}

}

func (this *NewCommonApiController) GetAllMobileMajorInspection() {
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	inspection, err := service.GetMajorInspectionByOrgid(orgid)
	if len(inspection) == 0 {
		inspect, err := service.GetDefaultByOrgId(0)
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}
		this.ServeSuccessJSON(map[string]interface{}{
			"inspection": inspect,
		})
	} else {
		if err != nil {
			this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
			return
		}
		this.ServeSuccessJSON(map[string]interface{}{
			"inspection": inspection,
		})
	}
}

func (this *NewCommonApiController) GetMobilePatient() {
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	startime := this.GetString("startime")
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	//endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	//entime := endDate.Unix()
	//fmt.Println("结束日期", entime)
	decEndStr := endtime + " 23:59:59"
	decEndStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", decEndStr)
	entime := decEndStrs.Unix()
	limit, _ := this.GetInt64("limit")
	//fmt.Println("limit", limit)
	page, _ := this.GetInt64("page")
	fmt.Println("page", page)
	patientInfo, total, err := service.GetPatientListData(orgid, statime, entime, limit, page)
	info, _ := service.GetPatientListInfo(orgid, statime, entime, limit, page)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"patientInfo": patientInfo,
		"total":       total,
		"list":        info,
	})
}

func (this *NewCommonApiController) GetMobilePatientDetailCheck() {

	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	id, _ := this.GetInt64("id")
	startime := this.GetString("startime")
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	//endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	//entime := endDate.Unix()
	//fmt.Println("结束日期", entime)
	secondQuarterEndStr := endtime + " 23:59:59"
	secondQuarterEnds, parseDateErr := utils.ParseTimeStringToTime("2006-01-02 15:04:05", secondQuarterEndStr)
	entime := secondQuarterEnds.Unix()
	checkDetail, err := service.GetPatientDetailCheck(id, orgid, statime, entime)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"checkDetail": checkDetail,
	})
}

func (this *NewCommonApiController) GetMobilePatientControl() {
	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	lapstor, _ := this.GetInt64("lapstor")
	fmt.Println("lapstor", lapstor)
	startime := this.GetString("startime")
	fmt.Println("开始时间", startime)
	startimeStr, _ := utils.ParseTimeStringToTime("2006-01-02", startime)
	startimeStrUnix := startimeStr.Unix()
	fmt.Println("时间搓", startimeStrUnix)
	endtime := this.GetString("endtime")
	fmt.Println("结束时间", endtime)
	endtimeStr := endtime + " 23:59:59"
	endtimeStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", endtimeStr)
	endtimeStrsUnix := endtimeStrs.Unix()
	fmt.Println("结束时间搓", endtimeStrsUnix)
	page, _ := this.GetInt64("page")
	fmt.Println("page", page)
	limit, _ := this.GetInt64("limit")
	fmt.Println("limit", limit)
	patients, total, err := service.GetPatientsControl(orgid, lapstor, startimeStrUnix, endtimeStrsUnix, page, limit)

	control, err := service.GetLastPatientsControl(orgid, lapstor, startimeStrUnix, endtimeStrsUnix)
	//获取最后一次数据
	//统计传染病类型
	infectiousControl, err := service.GetInfectiousControl(orgid, lapstor, startimeStrUnix, endtimeStrsUnix)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{
		"patients":          patients,
		"total":             total,
		"control":           control,
		"infectiousControl": infectiousControl,
	})
}

func (this *NewCommonApiController) GetMobileCartogramlist() {
	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	lapstor, _ := this.GetInt64("lapstor")
	fmt.Println("lapstor", lapstor)
	startime := this.GetString("startime")
	fmt.Println("开始时间", startime)
	startimeStr, _ := utils.ParseTimeStringToTime("2006-01-02", startime)
	startimeStrUnix := startimeStr.Unix()
	fmt.Println("时间搓", startimeStrUnix)
	endtime := this.GetString("endtime")
	fmt.Println("结束时间", endtime)
	endtimeStr := endtime + " 23:59:59"
	endtimeStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", endtimeStr)
	endtimeStrsUnix := endtimeStrs.Unix()
	fmt.Println("结束时间搓", endtimeStrsUnix)
	limit, _ := this.GetInt64("limit")
	page, _ := this.GetInt64("page")
	cartogramlist, err := service.GetLastPatientsControl(orgid, lapstor, startimeStrUnix, endtimeStrsUnix)
	_, total, err := service.GetPatientsControl(orgid, lapstor, startimeStrUnix, endtimeStrsUnix, page, limit)
	infectiouscontrol, err := service.GetInfectiousPatientsControl(orgid, lapstor, startimeStrUnix, endtimeStrsUnix)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{
		"cartogramlist":     cartogramlist,
		"total":             total,
		"infectiouscontrol": infectiouscontrol,
	})
}

func (this *NewCommonApiController) GetMobileQualityControl() {
	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	fmt.Println("orgd", orgid)
	patientid, _ := this.GetInt64("patientid")
	fmt.Println("patientid", patientid)
	startime, _ := this.GetInt64("startime")
	fmt.Println("startime", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("endtime", endtime)
	itemid, _ := this.GetInt64("itemid")
	fmt.Println("itemid", itemid)
	inspectdate, _ := this.GetInt64("inspectdate")
	list, err := service.GetQualityControlById(orgid, patientid, startime, endtime, itemid, inspectdate)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{

		"list": list,
	})
}

func (this *NewCommonApiController) GetSeachPatientsControl() {
	adminUser := this.GetMobileAdminUserInfo()
	orgid := adminUser.Org.Id
	fmt.Println("orgid", orgid)
	id, _ := this.GetInt64("id")
	fmt.Println("id", id)
	startime := this.GetString("startime")
	fmt.Println("开始时间", startime)
	startimeStr, _ := utils.ParseTimeStringToTime("2006-01-02", startime)
	startimeStrUnix := startimeStr.Unix()
	fmt.Println("时间搓", startimeStrUnix)
	endtime := this.GetString("endtime")
	fmt.Println("结束时间", endtime)
	endtimeStr := endtime + " 23:59:59"
	endtimeStrs, _ := utils.ParseTimeStringToTime("2006-01-02 15:04:05", endtimeStr)
	endtimeStrsUnix := endtimeStrs.Unix()
	fmt.Println("结束时间搓", endtimeStrsUnix)
	control, err := service.GetLastPatientsControlTwo(orgid, id, startimeStrUnix, endtimeStrsUnix)

	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{
		"control": control,
	})
}

func (this *NewCommonApiController) GetMobileTreatlist() {
	adminUser := this.GetMobileAdminUserInfo()
	orgId := adminUser.Org.Id
	startime := this.GetString("startime")
	fmt.Println(startime)
	endtime := this.GetString("endtime")
	startDate, parseDateErr := utils.ParseTimeStringToTime("2006-01-02", startime)
	fmt.Println("parseDateErr", parseDateErr)
	statime := startDate.Unix()
	fmt.Println("开始时间", statime)
	endDate, _ := utils.ParseTimeStringToTime("2006-01-02", endtime)
	entime := endDate.Unix()
	fmt.Println("结束日期", entime)
	value, _ := this.GetInt64("value")
	fmt.Println("value", value)
	list, err := service.GetTreatList(orgId, statime, entime, value)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{

		"list": list,
	})
}

func (this *NewCommonApiController) GetPatientComplianceDetail() {
	adminInfo := this.GetMobileAdminUserInfo()
	orgid := adminInfo.Org.Id
	fmt.Println("orgd", orgid)
	patientid, _ := this.GetInt64("patientid")
	fmt.Println("patientid", patientid)
	startime, _ := this.GetInt64("startime")
	fmt.Println("startime", startime)
	endtime, _ := this.GetInt64("endtime")
	fmt.Println("endtime", endtime)
	itemid, _ := this.GetInt64("itemid")
	fmt.Println("itemid", itemid)
	list, err := service.GetPatientComplianceDetail(orgid, patientid, startime, endtime, itemid)
	if err != nil {
		this.ServeFailJSONWithSGJErrorCode(enums.ErrorCodeSystemError)
		return
	}

	this.ServeSuccessJSON(map[string]interface{}{

		"list": list,
	})
}
